IBM Support

Error: "JVM: Correct Version Of Java Not Installed" after Domino upgrade

Technote (troubleshooting)


This document applies only to the following language version(s):

US English

Problem

You receive the error message, "JVM: Correct Version Of Java Not Installed" after a Lotus Domino upgrade. The HTTP task will not run because the JVM is unable to start.

Symptom

The following error messages are reported on the console:


    JVM: Correct version of Java not installed. Refer to the Release Notes software requirements and install the correct Java option.
    JVM: Java Virtual Machine failed to start
    HTTP Server: Error Loading Java Virtual Machine
    Server: JVM: Missing entrypoint in JVM runtime library.
    HTTP Server: Shutdown

Resolving the problem


The notes.ini file parameter, "JavaUseClassicJVM=1" is enabled. This parameter allows a previous version of Java to be used if the default version is not installed. For Domino 8.0.x, 5722JV1 option 7 is required to use the classic Java parameter if default option 8 is not installed. For Domino 8.5, 5722JV1 option 10 is required for the classic Java parameter if default option 11 is not installed.

Edit the notes.inifile and remove the parameter "JavaUseClassicJVM=1" to resolve this issue.

Document information

More support for: IBM Domino
Deployment

Software version: 8.0, 8.5

Operating system(s): IBM i

Reference #: 1372946

Modified date: 24 March 2009


Translate this page: